cURL
curl https://api.exponent.finance/py-prices \
-H 'Content-Type: application/json' \
-d '{"vaultAddresses": ["Cmry6B5824MGAKrtL2u7YG9PiLZLoTBWs8hVaCJeUFaH"]}'
import requests
response = requests.post(
"https://api.exponent.finance/py-prices",
json={'vaultAddresses': ['Cmry6B5824MGAKrtL2u7YG9PiLZLoTBWs8hVaCJeUFaH']},
timeout=30,
)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.exponent.finance/py-prices", {
method: "POST",
headers: { "Content-Type": "application/json" },
body: JSON.stringify({"vaultAddresses": ["Cmry6B5824MGAKrtL2u7YG9PiLZLoTBWs8hVaCJeUFaH"]}),
});
if (!response.ok) {
throw new Error(`Request failed: ${response.status}`);
}
const data = await response.json();
console.log(data);
[
{
"vaultAddress": "Cmry6B5824MGAKrtL2u7YG9PiLZLoTBWs8hVaCJeUFaH",
"ptPrice": 0.9585336359374135,
"ytPrice": 0.041466364062586525,
"impliedApy": 0.122512093520717,
"impliedApr": 0.122512093520717,
"yearsToMaturity": 0.36645279404490105,
"clmm": {
"marketAddresses": [
"6CFxKYZkRUDBcJSHo3PBHJ7iBiCmEXePrCFT26mZx1id"
],
"updatedAt": "2026-10-14T14:04:43.091+00:00"
}
}
]
{
"error": "<message>"
}
{
"error": "<message>"
}
Tokens and prices
PT and YT prices
Retrieve current backing-adjusted PT and YT prices for multiple vaults.
POST
/
py-prices
cURL
curl https://api.exponent.finance/py-prices \
-H 'Content-Type: application/json' \
-d '{"vaultAddresses": ["Cmry6B5824MGAKrtL2u7YG9PiLZLoTBWs8hVaCJeUFaH"]}'
import requests
response = requests.post(
"https://api.exponent.finance/py-prices",
json={'vaultAddresses': ['Cmry6B5824MGAKrtL2u7YG9PiLZLoTBWs8hVaCJeUFaH']},
timeout=30,
)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.exponent.finance/py-prices", {
method: "POST",
headers: { "Content-Type": "application/json" },
body: JSON.stringify({"vaultAddresses": ["Cmry6B5824MGAKrtL2u7YG9PiLZLoTBWs8hVaCJeUFaH"]}),
});
if (!response.ok) {
throw new Error(`Request failed: ${response.status}`);
}
const data = await response.json();
console.log(data);
[
{
"vaultAddress": "Cmry6B5824MGAKrtL2u7YG9PiLZLoTBWs8hVaCJeUFaH",
"ptPrice": 0.9585336359374135,
"ytPrice": 0.041466364062586525,
"impliedApy": 0.122512093520717,
"impliedApr": 0.122512093520717,
"yearsToMaturity": 0.36645279404490105,
"clmm": {
"marketAddresses": [
"6CFxKYZkRUDBcJSHo3PBHJ7iBiCmEXePrCFT26mZx1id"
],
"updatedAt": "2026-10-14T14:04:43.091+00:00"
}
}
]
{
"error": "<message>"
}
{
"error": "<message>"
}
Request body
string[]
required
Non-empty array of vault addresses.
cURL
curl https://api.exponent.finance/py-prices \
-H 'Content-Type: application/json' \
-d '{"vaultAddresses": ["Cmry6B5824MGAKrtL2u7YG9PiLZLoTBWs8hVaCJeUFaH"]}'
import requests
response = requests.post(
"https://api.exponent.finance/py-prices",
json={'vaultAddresses': ['Cmry6B5824MGAKrtL2u7YG9PiLZLoTBWs8hVaCJeUFaH']},
timeout=30,
)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.exponent.finance/py-prices", {
method: "POST",
headers: { "Content-Type": "application/json" },
body: JSON.stringify({"vaultAddresses": ["Cmry6B5824MGAKrtL2u7YG9PiLZLoTBWs8hVaCJeUFaH"]}),
});
if (!response.ok) {
throw new Error(`Request failed: ${response.status}`);
}
const data = await response.json();
console.log(data);
[
{
"vaultAddress": "Cmry6B5824MGAKrtL2u7YG9PiLZLoTBWs8hVaCJeUFaH",
"ptPrice": 0.9585336359374135,
"ytPrice": 0.041466364062586525,
"impliedApy": 0.122512093520717,
"impliedApr": 0.122512093520717,
"yearsToMaturity": 0.36645279404490105,
"clmm": {
"marketAddresses": [
"6CFxKYZkRUDBcJSHo3PBHJ7iBiCmEXePrCFT26mZx1id"
],
"updatedAt": "2026-10-14T14:04:43.091+00:00"
}
}
]
{
"error": "<message>"
}
{
"error": "<message>"
}